package com.chenyang.druid.sql.dialect.oracle.ast.stmt;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.statement.SQLDropStatement;
import com.chenyang.druid.sql.dialect.oracle.visitor.OracleASTVisitor;

public class OracleDropDbLinkStatement extends OracleStatementImpl implements SQLDropStatement {
   private boolean isPublic;
   private SQLName name;

   public boolean isPublic() {
      return this.isPublic;
   }

   public void setPublic(boolean value) {
      this.isPublic = value;
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public void accept0(OracleASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.name);
      }

      visitor.endVisit(this);
   }
}
